Name:           perl-BSSolv
Version:        0.37
Release:        lp151.1.2
Summary:        A new approach to package dependency solving
License:        BSD-3-Clause
Url:            https://github.com/openSUSE/perl-BSSolv
Source:         libsolv-0.7.2.tar.gz
Source1:        Makefile.PL
Source2:        BSSolv.pm
Source3:        BSSolv.xs
Source4:        typemap

BuildRequires:  perl-devel cmake gcc-c++ perl xz-devel zlib-devel
BuildRequires:  libzstd-devel perl(ExtUtils::MakeMaker) check-devel
Requires:       perl

%if 0%{!?perl_vendorarch}
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)
%endif

%description
Using a Satisfyability Solver to compute package dependencies.

%prep
%setup -c
ln -s libsolv-* libsolv
cp %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} .
pushd libsolv
popd

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$CFLAGS"

CMAKE_FLAGS=
CFLAGS="$CFLAGS -DUSE_OWN_QSORT"

pushd libsolv
cmake $CMAKE_FLAGS \
  -DDISABLE_SHARED=1 \
  -DCMAKE_BUILD_TYPE=Release \
  -DCMAKE_SKIP_RPATH=1 \
  -DENABLE_RPMPKG=1 \
  -DENABLE_DEBIAN=1 \
  -DENABLE_ARCHREPO=1 \
  -DENABLE_LZMA_COMPRESSION=1 \
  -DENABLE_ZSTD_COMPRESSION=1 \
  -DENABLE_COMPLEX_DEPS=1 \
  -DMULTI_SEMANTICS=1
pushd src ; make ; popd
pushd ext ; make ; popd
popd

perl Makefile.PL --bundled-libsolv INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%make_build

%check
make test

%install
make DESTDIR=%{buildroot} install_vendor
find %{buildroot} -type f -name perllocal.pod -exec rm -f {} \;  
find %{buildroot} -type f -name .packlist -exec rm -f {} \;  
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'  
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;  
%{_fixperms} %{buildroot}/*

%files
%defattr(-,root,root)
%{perl_vendorarch}/BSSolv.pm
%{perl_vendorarch}/auto/BSSolv

%changelog
* Wed Mar 4 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.37-lp151.1.2
- Package init
